Package: ndiswrapper / 1.59-2

Metadata

Package Version Patches format
ndiswrapper 1.59-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
ndiswrapper harden.patch | (download)

utils/Makefile | 5 4 + 1 - 0 !
1 file changed, 4 insertions(+), 1 deletion(-)

 please enabled hardened build flags
Bug-Debian: http://bugs.debian.org/655249


ndiswrapper use KERNELRELEASE.patch | (download)

driver/Makefile | 4 4 + 0 - 0 !
1 file changed, 4 insertions(+)

 use $kernelrelease as target kernel version
Bug-Debian: http://bugs.debian.org/693638

We must not assume that the running kernel version is the target
version!  DKMS and later Kbuild set $KERNELRELEASE to be the target
kernel version.


Add support for 3.x kernel versions.patch | (download)

utils/ndiswrapper | 18 1 + 17 - 0 !
1 file changed, 1 insertion(+), 17 deletions(-)

 [patch] hardcode /etc/modprobe.d/ndiswrapper.conf

We do not support modprobe.conf anymore. The code failed to work with
recent kernels that only export two components in the version,
so things were broken a bit anyway.

Bug-Debian: http://bugs.debian.org/724890

kernel 3.14.patch | (download)

driver/crt.c | 2 1 + 1 - 0 !
driver/ntoskernel.h | 5 2 + 3 - 0 !
2 files changed, 3 insertions(+), 4 deletions(-)

 kernel 3.14 changes